from django.db import models
from account.models import Account

class CompanyBranch(models.Model):
    added_by = models.ForeignKey(Account, on_delete=models.CASCADE, null=True, blank= True)

    branch_name = models.CharField(max_length=255)
    contact_person = models.CharField(max_length=255)

    # Address Information
    address = models.TextField(null=True, blank=True)
    city = models.CharField(max_length=100, null=True, blank=True)
    state = models.CharField(max_length=100, null=True, blank=True)
    postal_code = models.CharField(max_length=20, null=True, blank=True)
    country = models.CharField(max_length=100, null=True, blank=True)

    # Contact Information
    phone = models.CharField(max_length=20, null=True, blank=True)
    email = models.EmailField(null=True, blank=True)

    def __str__(self):
        return self.branch_name